--- app_groupcount.c.orig	2007-01-24 19:10:53.000000000 -0500
+++ app_groupcount.c	2007-01-24 19:10:27.000000000 -0500
@@ -154,6 +154,11 @@
 		deprecation_warning = 1;
 	}
 
+	if ( !data ) {
+		ast_log(LOG_WARNING, "CheckGroup requires an argument(max[@category][|options])\n");
+		return 0;
+	}
+
 	if (!(parse = ast_strdupa(data))) {
 		ast_log(LOG_WARNING, "Memory Error!\n");
 		LOCAL_USER_REMOVE(u);
@@ -167,11 +172,6 @@
 			priority_jump = 1;
 	}
 
-	if (ast_strlen_zero(args.max)) {
-		ast_log(LOG_WARNING, "CheckGroup requires an argument(max[@category][|options])\n");
-		return res;
-	}
-
   	ast_app_group_split_group(args.max, limit, sizeof(limit), category, sizeof(category));
 
  	if ((sscanf(limit, "%d", &max) == 1) && (max > -1)) {
